/******************************************************************************
 * CrudDao.java - created by Sakai App Builder -AZ
 * 
 * Copyright (c) 2007 Sakai Project/Sakai Foundation
 * Licensed under the Educational Community License version 1.0
 * 
 * A copy of the Educational Community License has been included in this 
 * distribution and is available at: http://www.opensource.org/licenses/ecl1.php
 * 
 *****************************************************************************/

package org.sakaiproject.wontovlab.dao;

import java.util.List;

import org.sakaiproject.wontovlab.model.Drug;
import org.sakaiproject.wontovlab.model.Equipment;
import org.sakaiproject.wontovlab.model.Material;
import org.sakaiproject.wontovlab.model.Solution;

/**
 * This is a specialized DAO that allows the developer to extend
 * the functionality of the generic dao package
 * @author Sakai App Builder -AZ
 */
public interface MaterialDao {

	public List findAllMaterials();
	
	public List findMaterialByDescription(String material);
	
	public List findEquipmentByDescription(String description);
	public List findDrugByDescription(String description);
	public List findSolutionByDescription(String description);
	
	
	public List findAllDrugs();
	
	public List findAllEquipments();
	
	public List findAllSolutions();
	
	
	
	//public List findByLocation(String locationId);
	
	public boolean saveMaterial(Material l);

	public boolean saveDrug(Drug l);
		
	public boolean saveEquipment(Equipment l);
	
	public boolean saveSolution(Solution l);
	
	
	public boolean deleteDrug(Drug l);
	
	public boolean deleteEquipment(Equipment l);
	
	public boolean deleteSolution(Solution l);
}
